Skip to main content
GET
/
connectors
/
consumers
/
{consumer_id}
/
rewards
/
affiliation
/
cashbacks
/
Listing of affiliation Cashback.
curl --request GET \
  --url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/rewards/affiliation/cashbacks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "amount": -23.68,
      "id": "e2c32b4b-de61-459b-accf-a75f76247946",
      "cancellation_date": "2019-01-23T12:00:00+00:00",
      "cancellation_reason": "Transaction has been deleted",
      "created_at": "2019-01-31T15:16:15.523309+00:00",
      "pending_validation_date": "2018-11-28T16:52:47.768060+00:00",
      "status": "PENDING_VALIDATION",
      "transfer_date": "2019-01-23T12:00:00+00:00",
      "user_offer": {
        "reference": "MYBRAND-20180220-001",
        "type": "CASHBACK",
        "application_channel": "ONLINE",
        "application_url": "https://www.mybrand.fr",
        "brand": {
          "description": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "legal_terms": "<string>",
          "logo": {
            "content_type": "<string>",
            "id": "e2c32b4b-de61-459b-accf-a75f76247946",
            "links": {
              "download": "<string>",
              "preview": "<string>"
            },
            "name": "<string>",
            "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "name": "<string>",
          "universes": [
            {
              "children": "<array>",
              "id": "e2c32b4b-de61-459b-accf-a75f76247946",
              "name": "<string>",
              "parent_id": "5c5e6d04-9dfc-46b8-9432-7c977f1dca23"
            }
          ]
        },
        "commissions": [
          {
            "name": "<string>",
            "type": "CASHBACK",
            "reward_fixed_amount": 123,
            "reward_rate": 50
          }
        ],
        "deep_link_url": "<unknown>",
        "description": "<string>",
        "end_date": "2018-12-21T00:00:00+00:00",
        "highlight_level": "HIGH",
        "id": "e2c32b4b-de61-459b-accf-a75f76247946",
        "is_consumed": true,
        "is_favorite": true,
        "legal_terms": "<string>",
        "max_fixed_reward_amount": 123,
        "max_reward_rate": 50,
        "name": "<string>",
        "picture": {
          "content_type": "<string>",
          "id": "e2c32b4b-de61-459b-accf-a75f76247946",
          "links": {
            "download": "<string>",
            "preview": "<string>"
          },
          "name": "<string>",
          "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "publication_date": "2019-01-01T00:00:00+00:00",
        "start_date": "2018-12-21T00:00:00+00:00",
        "status": "<string>"
      }
    }
  ],
  "meta": {
    "page": 123,
    "per_page": 123,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

consumer_id
string
required

The id you used to create the given consumer

Query Parameters

amount
number

Filter by amount

Amount of the transaction

created_at
string

Filter by created_at

Filtering on date of creation between -- after -- before --

page
integer

the page number

Required range: x >= 1
per_page
integer

the number of elements per page

Required range: 1 <= x <= 100
sort
enum<string>

Sort by given attribute

Available options:
amount,
status,
created_at,
user_offer__reference,
user_offer__id,
user_offer__name,
user_offer__brand__name,
-amount,
-status,
-created_at,
-user_offer__reference,
-user_offer__id,
-user_offer__name,
-user_offer__brand__name
status
enum<string>

Filter by status

Available options:
CANCELLED,
PENDING_VALIDATION,
VALIDATED,
PAID_IN,
PAID_OUT,
ERROR
user_offer__brand__name
string

Filter by user_offer__brand__name

user_offer__id
string<uuid>

Filter by user_offer__id

user_offer__name
string

Filter by user_offer__name

user_offer__reference
string

Filter by user_offer__reference

Response

OK

items
object[]
meta
object